<?php

namespace App\Database\Seeds;

use CodeIgniter\Database\Seeder;

class ViolationCategoriesSeeder extends Seeder
{
    public function run()
    {
        $this->db->table('violation_categories')->truncate();
        $data = [
            ['id' => 1, 'name' => 'Kedisiplinan & Ketertiban', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')],
            ['id' => 2, 'name' => 'Kerapian & Estetika', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')],
            ['id' => 3, 'name' => 'Sopan Santun & Etika', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')],
            ['id' => 4, 'name' => 'Akademik & Kejujuran', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')],
            ['id' => 5, 'name' => 'Pelanggaran Berat & Kriminalitas', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')],
        ];
        $this->db->table('violation_categories')->insertBatch($data);
    }
}
